【活用ガイド】

[English]

JVNDB-2017-000196

IP Messenger のインストーラにおける DLL 読み込みに関する脆弱性

概要

IP Messenger は、TCP/IP を使用した LAN 用メッセンジャーです。IP Messenger のインストーラには、DLL を読み込む際の検索パスに問題があり、同一ディレクトリに存在する特定の DLL を読み込んでしまう脆弱性 (CWE-427)が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 橘総合研究所 英利 雅美 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

[参考] CVSS v3 による深刻度
基本値: 7.8 (重要) [IPA値]
  • 攻撃元区分: ローカル
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
影響を受けるシステム


H.Shirouzu(白水啓章)
  • IP Messenger for Win 4.60 およびそれ以前

想定される影響

インストーラを実行している権限で、任意のコードを実行される可能性があります。
対策

[最新のインストーラを使用する]
開発者が提供する情報をもとに、最新のインストーラを使用してください。
なお、本脆弱性の影響を受けるのはインストーラの起動時のみのため、既存のユーザは IP Messenger をアップデートする必要はありません。
ベンダ情報

H.Shirouzu(白水啓章)
CWEによる脆弱性タイプ一覧  CWEとは?

  1. その他(CWE-Other) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2017-10820
参考情報

  1. JVN : JVN#86724730
  2. JVN : JVNTA#91240916
更新履歴

[2017年08月03日]
   掲載